Index: squid/auth_modules/NCSA/NCSA_auth.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/NCSA/Attic/NCSA_auth.dsp,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.2.2.1
diff -u -r1.1.2.2 -r1.1.2.2.2.1
--- squid/auth_modules/NCSA/NCSA_auth.dsp	30 Jun 2001 18:49:42 -0000	1.1.2.2
+++ squid/auth_modules/NCSA/NCSA_auth.dsp	27 Aug 2001 21:48:15 -0000	1.1.2.2.2.1
@@ -40,21 +40,18 @@
 # PROP Use_Debug_Libraries 0
 # PROP Output_Dir "Release"
 # PROP Intermediate_Dir "Release"
-# PROP Ignore_Export_Lib 1
+# PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
-# ADD BASE CPP /nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "NCSA_AUTH_EXPORTS" /YX /FD /c
-# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /I "..\include" /I "..\..\include" /I "..\..\src" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "NCSA_AUTH_EXPORTS" /YX /FD /c
-# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /win32
-# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /win32
-# ADD BASE RSC /l 0x410 /d "NDEBUG"
-# ADD RSC /l 0x410 /d "NDEBUG"
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /MT /W3 /GX /O2 /I "../../include" /I "../" /I "../../src" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /YX /FD /c
+# ADD BASE RSC /l 0x419 /d "NDEBUG"
+# ADD RSC /l 0x419 /d "NDEBUG"
 BSC32=bscmake.exe
 # ADD BASE BSC32 /nologo
 # ADD BSC32 /nologo
 LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /machine:I386
-# ADD LINK32 kernel32.lib user32.lib advapi32.lib /nologo /dll /machine:I386
-# SUBTRACT LINK32 /pdb:none
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 kernel32.lib advapi32.lib /nologo /subsystem:console /machine:I386
 
 !ELSEIF  "$(CFG)" == "NCSA_auth - Win32 Debug"
 
@@ -67,21 +64,18 @@
 # PROP Use_Debug_Libraries 1
 # PROP Output_Dir "Debug"
 # PROP Intermediate_Dir "Debug"
-# PROP Ignore_Export_Lib 1
+# PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
-# ADD BASE CPP /nologo /MTd /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "NCSA_AUTH_EXPORTS" /YX /FD /GZ /c
-# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "..\..\include" /I "..\..\src" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "NCSA_AUTH_EXPORTS" /FR /YX /FD /GZ /c
-# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /win32
-# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /win32
-# ADD BASE RSC /l 0x410 /d "_DEBUG"
-# ADD RSC /l 0x410 /d "_DEBUG"
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
+# ADD CPP /nologo /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /FR /YX /FD /GZ /c
+# ADD BASE RSC /l 0x419 /d "_DEBUG"
+# ADD RSC /l 0x419 /d "_DEBUG"
 BSC32=bscmake.exe
 # ADD BASE BSC32 /nologo
 # ADD BSC32 /nologo
 LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 kernel32.lib user32.lib advapi32.lib /nologo /dll /debug /machine:I386 /pdbtype:sept
-# SUBTRACT LINK32 /pdb:none
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 kernel32.lib advapi32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
 
 !ENDIF 
 
Index: squid/auth_modules/NCSA/NCSA_auth.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/NCSA/Attic/NCSA_auth.mak,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.2.2.1
diff -u -r1.1.2.2 -r1.1.2.2.2.1
--- squid/auth_modules/NCSA/NCSA_auth.mak	30 Jun 2001 18:49:42 -0000	1.1.2.2
+++ squid/auth_modules/NCSA/NCSA_auth.mak	27 Aug 2001 21:48:15 -0000	1.1.2.2.2.1
@@ -39,16 +39,16 @@
 
 !IF "$(RECURSE)" == "0" 
 
-ALL : "$(OUTDIR)\NCSA_auth.dll"
+ALL : "$(OUTDIR)\NCSA_auth.exe"
 
 !ELSE 
 
-ALL : "htpasswd - Win32 Release" "chpasswd - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\NCSA_auth.dll"
+ALL : "miscutil - Win32 Release" "htpasswd - Win32 Release" "chpasswd - Win32 Release" "$(OUTDIR)\NCSA_auth.exe"
 
 !ENDIF 
 
 !IF "$(RECURSE)" == "1" 
-CLEAN :"miscutil - Win32 ReleaseCLEAN" "chpasswd - Win32 ReleaseCLEAN" "htpasswd - Win32 ReleaseCLEAN" 
+CLEAN :"chpasswd - Win32 ReleaseCLEAN" "htpasswd - Win32 ReleaseCLEAN" "miscutil - Win32 ReleaseCLEAN" 
 !ELSE 
 CLEAN :
 !ENDIF 
@@ -56,28 +56,26 @@
 	-@erase "$(INTDIR)\ncsa_auth.obj"
 	-@erase "$(INTDIR)\NCSA_auth.res"
 	-@erase "$(INTDIR)\vc60.idb"
-	-@erase "$(OUTDIR)\NCSA_auth.dll"
-	-@erase "$(OUTDIR)\NCSA_auth.exp"
+	-@erase "$(OUTDIR)\NCSA_auth.exe"
 
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /G6 /MT /W3 /GX /O2 /I "..\include" /I "..\..\include" /I "..\..\src" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "NCSA_AUTH_EXPORTS" /Fp"$(INTDIR)\NCSA_auth.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
-MTL_PROJ=/nologo /D "NDEBUG" /mktyplib203 /win32 
-RSC_PROJ=/l 0x410 /fo"$(INTDIR)\NCSA_auth.res" /d "NDEBUG" 
+CPP_PROJ=/nologo /MT /W3 /GX /O2 /I "../../include" /I "../" /I "../../src" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fp"$(INTDIR)\NCSA_auth.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
+RSC_PROJ=/l 0x419 /fo"$(INTDIR)\NCSA_auth.res" /d "NDEBUG" 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\NCSA_auth.bsc" 
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib advapi32.lib /nologo /dll /incremental:no /pdb:"$(OUTDIR)\NCSA_auth.pdb" /machine:I386 /out:"$(OUTDIR)\NCSA_auth.dll" /implib:"$(OUTDIR)\NCSA_auth.lib" 
+LINK32_FLAGS=kernel32.lib advapi32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\NCSA_auth.pdb" /machine:I386 /out:"$(OUTDIR)\NCSA_auth.exe" 
 LINK32_OBJS= \
 	"$(INTDIR)\encrypt.obj" \
 	"$(INTDIR)\ncsa_auth.obj" \
 	"$(INTDIR)\NCSA_auth.res" \
 	"..\..\win\miscutil\Release\miscutil.lib"
 
-"$(OUTDIR)\NCSA_auth.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
+"$(OUTDIR)\NCSA_auth.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
@@ -92,16 +90,16 @@
 
 !IF "$(RECURSE)" == "0" 
 
-ALL : "$(OUTDIR)\NCSA_auth.dll" "$(OUTDIR)\NCSA_auth.bsc"
+ALL : "$(OUTDIR)\NCSA_auth.exe" "$(OUTDIR)\NCSA_auth.bsc"
 
 !ELSE 
 
-ALL : "htpasswd - Win32 Debug" "chpasswd - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\NCSA_auth.dll" "$(OUTDIR)\NCSA_auth.bsc"
+ALL : "miscutil - Win32 Debug" "htpasswd - Win32 Debug" "chpasswd - Win32 Debug" "$(OUTDIR)\NCSA_auth.exe" "$(OUTDIR)\NCSA_auth.bsc"
 
 !ENDIF 
 
 !IF "$(RECURSE)" == "1" 
-CLEAN :"miscutil - Win32 DebugCLEAN" "chpasswd - Win32 DebugCLEAN" "htpasswd - Win32 DebugCLEAN" 
+CLEAN :"chpasswd - Win32 DebugCLEAN" "htpasswd - Win32 DebugCLEAN" "miscutil - Win32 DebugCLEAN" 
 !ELSE 
 CLEAN :
 !ENDIF 
@@ -113,17 +111,15 @@
 	-@erase "$(INTDIR)\vc60.idb"
 	-@erase "$(INTDIR)\vc60.pdb"
 	-@erase "$(OUTDIR)\NCSA_auth.bsc"
-	-@erase "$(OUTDIR)\NCSA_auth.dll"
-	-@erase "$(OUTDIR)\NCSA_auth.exp"
+	-@erase "$(OUTDIR)\NCSA_auth.exe"
 	-@erase "$(OUTDIR)\NCSA_auth.ilk"
 	-@erase "$(OUTDIR)\NCSA_auth.pdb"
 
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "..\..\include" /I "..\..\src" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "NCSA_AUTH_EXPORTS" /FR"$(INTDIR)\\" /Fp"$(INTDIR)\NCSA_auth.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
-MTL_PROJ=/nologo /D "_DEBUG" /mktyplib203 /win32 
-RSC_PROJ=/l 0x410 /fo"$(INTDIR)\NCSA_auth.res" /d "_DEBUG" 
+CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /FR"$(INTDIR)\\" /Fp"$(INTDIR)\NCSA_auth.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
+RSC_PROJ=/l 0x419 /fo"$(INTDIR)\NCSA_auth.res" /d "_DEBUG" 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\NCSA_auth.bsc" 
 BSC32_SBRS= \
@@ -136,14 +132,14 @@
 <<
 
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib advapi32.lib /nologo /dll /incremental:yes /pdb:"$(OUTDIR)\NCSA_auth.pdb" /debug /machine:I386 /out:"$(OUTDIR)\NCSA_auth.dll" /implib:"$(OUTDIR)\NCSA_auth.lib" /pdbtype:sept 
+LINK32_FLAGS=kernel32.lib advapi32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\NCSA_auth.pdb" /debug /machine:I386 /out:"$(OUTDIR)\NCSA_auth.exe" /pdbtype:sept 
 LINK32_OBJS= \
 	"$(INTDIR)\encrypt.obj" \
 	"$(INTDIR)\ncsa_auth.obj" \
 	"$(INTDIR)\NCSA_auth.res" \
 	"..\..\win\miscutil\Debug\miscutil.lib"
 
-"$(OUTDIR)\NCSA_auth.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
+"$(OUTDIR)\NCSA_auth.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
@@ -180,6 +176,7 @@
    $(CPP_PROJ) $< 
 <<
 
+MTL_PROJ=
 
 !IF "$(NO_EXTERNAL_DEPS)" != "1"
 !IF EXISTS("NCSA_auth.dep")
@@ -233,78 +230,78 @@
 
 !IF  "$(CFG)" == "NCSA_auth - Win32 Release"
 
-"miscutil - Win32 Release" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Release" 
+"chpasswd - Win32 Release" : 
+   cd "\work\squidnt23\contrib\chpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\chpasswd.mak CFG="chpasswd - Win32 Release" 
    cd "..\..\auth_modules\NCSA"
 
-"miscutil - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Release" RECURSE=1 CLEAN 
+"chpasswd - Win32 ReleaseCLEAN" : 
+   cd "\work\squidnt23\contrib\chpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\chpasswd.mak CFG="chpasswd - Win32 Release" RECURSE=1 CLEAN 
    cd "..\..\auth_modules\NCSA"
 
 !ELSEIF  "$(CFG)" == "NCSA_auth - Win32 Debug"
 
-"miscutil - Win32 Debug" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Debug" 
+"chpasswd - Win32 Debug" : 
+   cd "\work\squidnt23\contrib\chpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\chpasswd.mak CFG="chpasswd - Win32 Debug" 
    cd "..\..\auth_modules\NCSA"
 
-"miscutil - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Debug" RECURSE=1 CLEAN 
+"chpasswd - Win32 DebugCLEAN" : 
+   cd "\work\squidnt23\contrib\chpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\chpasswd.mak CFG="chpasswd - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\..\auth_modules\NCSA"
 
 !ENDIF 
 
 !IF  "$(CFG)" == "NCSA_auth - Win32 Release"
 
-"chpasswd - Win32 Release" : 
-   cd "\work\nt-2.3\contrib\chpasswd"
-   $(MAKE) /$(MAKEFLAGS) /F ".\chpasswd.mak" CFG="chpasswd - Win32 Release" 
+"htpasswd - Win32 Release" : 
+   cd "\work\squidnt23\contrib\htpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\htpasswd.mak CFG="htpasswd - Win32 Release" 
    cd "..\..\auth_modules\NCSA"
 
-"chpasswd - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\contrib\chpasswd"
-   $(MAKE) /$(MAKEFLAGS) /F ".\chpasswd.mak" CFG="chpasswd - Win32 Release" RECURSE=1 CLEAN 
+"htpasswd - Win32 ReleaseCLEAN" : 
+   cd "\work\squidnt23\contrib\htpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\htpasswd.mak CFG="htpasswd - Win32 Release" RECURSE=1 CLEAN 
    cd "..\..\auth_modules\NCSA"
 
 !ELSEIF  "$(CFG)" == "NCSA_auth - Win32 Debug"
 
-"chpasswd - Win32 Debug" : 
-   cd "\work\nt-2.3\contrib\chpasswd"
-   $(MAKE) /$(MAKEFLAGS) /F ".\chpasswd.mak" CFG="chpasswd - Win32 Debug" 
+"htpasswd - Win32 Debug" : 
+   cd "\work\squidnt23\contrib\htpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\htpasswd.mak CFG="htpasswd - Win32 Debug" 
    cd "..\..\auth_modules\NCSA"
 
-"chpasswd - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\contrib\chpasswd"
-   $(MAKE) /$(MAKEFLAGS) /F ".\chpasswd.mak" CFG="chpasswd - Win32 Debug" RECURSE=1 CLEAN 
+"htpasswd - Win32 DebugCLEAN" : 
+   cd "\work\squidnt23\contrib\htpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\htpasswd.mak CFG="htpasswd - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\..\auth_modules\NCSA"
 
 !ENDIF 
 
 !IF  "$(CFG)" == "NCSA_auth - Win32 Release"
 
-"htpasswd - Win32 Release" : 
-   cd "\work\nt-2.3\contrib\htpasswd"
-   $(MAKE) /$(MAKEFLAGS) /F ".\htpasswd.mak" CFG="htpasswd - Win32 Release" 
+"miscutil - Win32 Release" : 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" 
    cd "..\..\auth_modules\NCSA"
 
-"htpasswd - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\contrib\htpasswd"
-   $(MAKE) /$(MAKEFLAGS) /F ".\htpasswd.mak" CFG="htpasswd - Win32 Release" RECURSE=1 CLEAN 
+"miscutil - Win32 ReleaseCLEAN" : 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" RECURSE=1 CLEAN 
    cd "..\..\auth_modules\NCSA"
 
 !ELSEIF  "$(CFG)" == "NCSA_auth - Win32 Debug"
 
-"htpasswd - Win32 Debug" : 
-   cd "\work\nt-2.3\contrib\htpasswd"
-   $(MAKE) /$(MAKEFLAGS) /F ".\htpasswd.mak" CFG="htpasswd - Win32 Debug" 
+"miscutil - Win32 Debug" : 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" 
    cd "..\..\auth_modules\NCSA"
 
-"htpasswd - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\contrib\htpasswd"
-   $(MAKE) /$(MAKEFLAGS) /F ".\htpasswd.mak" CFG="htpasswd - Win32 Debug" RECURSE=1 CLEAN 
+"miscutil - Win32 DebugCLEAN" : 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\..\auth_modules\NCSA"
 
 !ENDIF 
Index: squid/auth_modules/NCSA/NCSA_auth.rc
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/NCSA/Attic/NCSA_auth.rc,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/auth_modules/NCSA/NCSA_auth.rc	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/auth_modules/NCSA/NCSA_auth.rc	27 Aug 2001 21:48:15 -0000	1.1.2.1.2.1
@@ -49,13 +49,13 @@
             VALUE "FileDescription", "SquidNT - NCSA Authenticator DLL plug-in\0"
             VALUE "FileVersion", "1, 0, 0, 1\0"
             VALUE "InternalName", "NCSA_auth\0"
-            VALUE "LegalCopyright", "Romeo Anghelache & Guido Serassio\0"
+            VALUE "LegalCopyright", "Romeo Anghelache, Guido Serassio & Andrey Shorin\0"
             VALUE "LegalTrademarks", "GNU gpl\0"
-            VALUE "OriginalFilename", "NCSA_auth.dll\0"
-            VALUE "PrivateBuild", "STABLE4\0"
+            VALUE "OriginalFilename", "NCSA_auth.exe\0"
+            VALUE "PrivateBuild", "STABLE5\0"
             VALUE "ProductName", "Squid Proxy Server for Windows NT\0"
             VALUE "ProductVersion", "2.3\0"
-            VALUE "SpecialBuild", "STABLE4\0"
+            VALUE "SpecialBuild", "STABLE5\0"
         END
     END
     BLOCK "VarFileInfo"
Index: squid/auth_modules/NCSA/ncsa_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/NCSA/Attic/ncsa_auth.c,v
retrieving revision 1.1.1.1.66.1
retrieving revision 1.1.1.1.66.1.2.1
diff -u -r1.1.1.1.66.1 -r1.1.1.1.66.1.2.1
--- squid/auth_modules/NCSA/ncsa_auth.c	6 Jan 2001 12:40:08 -0000	1.1.1.1.66.1
+++ squid/auth_modules/NCSA/ncsa_auth.c	27 Aug 2001 21:48:15 -0000	1.1.1.1.66.1.2.1
@@ -17,30 +17,43 @@
  *
  */
 
-#include "squid.h"
+#include "config.h"
+#if HAVE_STDIO_H
+#include <stdio.h>
+#endif
+#if HAVE_STDLIB_H
+#include <stdlib.h>
+#endif
+#if HAVE_UNISTD_H
+#include <unistd.h>
+#endif
+#if HAVE_STRING_H
+#include <string.h>
+#endif
+#if HAVE_SYS_TYPES_H
+#include <sys/types.h>
+#endif
+#if HAVE_SYS_STAT_H
+#include <sys/stat.h>
+#endif
+#if HAVE_CRYPT_H
+#include <crypt.h>
+#endif
+
+#include "util.h"
+#include "hash.h"
 
 static hash_table *hash = NULL;
 static HASHFREE my_free;
-static char *passwdfile=NULL;
-
-#ifdef _SQUID_MSWIN_
-typedef struct {
-    void *data;
-    acl_proxy_auth_user *auth_user;
-    RH *handler;
-} authenticateStateData;
 
-
-BOOL APIENTRY DllMain (HINSTANCE hInst, DWORD reason, 
-                       LPVOID reserved /* Not used. */ );
-#endif
-
-typedef struct _user_data {
+typedef struct _user_data
+{
     /* first two items must be same as hash_link */
     char *user;
     struct _user_data *next;
     char *passwd;
-} user_data;
+}
+user_data;
 
 static void
 my_free(void *p)
@@ -65,6 +78,7 @@
     /* initial setup */
     hash = hash_create((HASHCMP *) strcmp, 7921, hash_string);
     if (NULL == hash) {
+	fprintf(stderr, "ncsa_auth: cannot create hash table\n");
 	exit(1);
     }
     f = fopen(passwdfile, "r");
@@ -84,26 +98,18 @@
     fclose(f);
 }
 
-#ifdef _SQUID_MSWIN_
-__declspec (dllexport) int
-Authenticate(char *user, char *passwd, authenticateStateData *data, HLPCB callback)
-{
-#else
+int
 main(int argc, char **argv)
 {
+    struct stat sb;
+    time_t change_time = 0;
     char buf[256];
     char *user, *passwd, *p;
-#endif
-	static time_t change_time = 0;
-    struct stat sb;
     user_data *u;
-
-#ifndef _SQUID_MSWIN_
     setbuf(stdout, NULL);
-    if (argc != 2) 
-	{
-		fprintf(stderr, "Usage: ncsa_auth <passwordfile>\n");
-		exit(1);
+    if (argc != 2) {
+	fprintf(stderr, "Usage: ncsa_auth <passwordfile>\n");
+	exit(1);
     }
     if (stat(argv[1], &sb) != 0) {
 	fprintf(stderr, "cannot stat %s\n", argv[1]);
@@ -119,79 +125,21 @@
 	    }
 	}
 	if ((user = strtok(buf, " ")) == NULL) {
-		printf("ERR\n");
-		continue;
+	    printf("ERR\n");
+	    continue;
 	}
 	if ((passwd = strtok(NULL, "")) == NULL) {
-		printf("ERR\n");
-		continue;
-	}
-#else
-	if (stat(passwdfile, &sb) == 0) {
-	    if (sb.st_mtime != change_time) {
-			read_passwd_file(passwdfile);
-			change_time = sb.st_mtime;
-	    }
+	    printf("ERR\n");
+	    continue;
 	}
-#endif
 	u = hash_lookup(hash, user);
 	if (u == NULL) {
-#ifdef _SQUID_MSWIN_
-		(callback)(data,"ERR");
-#else
 	    printf("ERR\n");
-#endif
-		return 0;
 	} else if (strcmp(u->passwd, (char *) crypt(passwd, u->passwd))) {
-#ifdef _SQUID_MSWIN_
-		(callback)(data,"ERR");
-#else
 	    printf("ERR\n");
-#endif
-		return 0;
 	} else {
-#ifdef _SQUID_MSWIN_
-		(callback)(data,"OK");
-#else
 	    printf("OK\n");
-#endif
-		return 0;
 	}
-}
-
-#ifdef _SQUID_MSWIN_
-__declspec (dllexport) int
-Init(char *pwfile)
-{
-	if (passwdfile)
-		xfree(passwdfile);
-	passwdfile = xstrdup(pwfile);
-	return 0;
-}
-
-BOOL APIENTRY
-DllMain (
-	 HINSTANCE hInst /* Library instance handle. */ ,
-	 DWORD reason /* Reason this function is being called. */ ,
-	 LPVOID reserved /* Not used. */ )
-{
-
-  switch (reason)
-    {
-    case DLL_PROCESS_ATTACH:
-      break;
-
-	case DLL_PROCESS_DETACH:
-		if (passwdfile)
-			xfree(passwdfile);
-		break;
-
-    case DLL_THREAD_ATTACH:
-      break;
-
-    case DLL_THREAD_DETACH:
-      break;
     }
-  return TRUE;
+    exit(0);
 }
-#endif
Index: squid/auth_modules/NT/NT_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/NT/Attic/NT_auth.c,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.2.2.1
diff -u -r1.1.2.2 -r1.1.2.2.2.1
--- squid/auth_modules/NT/NT_auth.c	17 Jun 2001 12:39:53 -0000	1.1.2.2
+++ squid/auth_modules/NT/NT_auth.c	27 Aug 2001 21:48:15 -0000	1.1.2.2.2.1
@@ -1,6 +1,5 @@
 /*
   NT_auth -  Version 1.11
-
   Modified to act as a Squid authenticator module.
   Can run as dll on NT native port.
   Removed all Pike stuff.
@@ -43,31 +42,10 @@
    Scans and checks for Squid input, and attempts to validate the user.
 */
 
-#if defined (_SQUID_CYGWIN_)
-
 static char NTGroup[256];
 int
 main(int argc, char **argv)
-
-#else defined (_SQUID_MSWIN_)
-
-typedef struct
 {
-    void *data;
-    acl_proxy_auth_user *auth_user;
-    RH *handler;
-}
-authenticateStateData;
-static char *NTGroup = NULL;
-BOOL APIENTRY DllMain(HINSTANCE hInst, DWORD reason,
-    LPVOID reserved /* Not used. */ );
-
-__declspec(dllexport)
-     int Authenticate(char *username, char *password,
-    authenticateStateData * data, HLPCB callback)
-#endif
-{
-#if defined(_SQUID_CYGWIN_)
     char wstr[256];
     char username[256];
     char password[256];
@@ -90,35 +68,21 @@
 	username[0] = '\0';
 	password[0] = '\0';
 	sscanf(wstr, "%s %s", username, password);	/* Extract parameters */
-#endif
 	/* Check for invalid or blank entries */
 	if ((username[0] == '\0') || (password[0] == '\0')) {
-#if defined(_SQUID_CYGWIN_)
 	    puts("ERR");
 	    fflush(stdout);
 	    continue;
-#else
-	    (callback) (data, "ERR");
-	    return 0;
-#endif
 	}
 	if (Valid_User(username, password, NTGroup) == NTV_NO_ERROR)
-#if defined(_SQUID_CYGWIN_)
 	    puts("OK");
-#else
-	    (callback) (data, "OK");
-#endif
 	else
-#if defined(_SQUID_CYGWIN_)
 	    puts("ERR");
 	fflush(stdout);
     }
 
-#else
-	    (callback) (data, "ERR");
-#endif
-    return 0;
-}
+	return 0;
+    }
 
 /* Valid_User return codes -
    0 - User authenticated successfully.
@@ -127,35 +91,7 @@
    3 - Logon error; Incorrect password or username given.
 */
 
-#ifndef _SQUID_CYGWIN_
-
-__declspec(dllexport)
-     int Init(char *Group)
-{
-    if (NTGroup)
-	xfree(NTGroup);
-    NTGroup = xstrdup(Group);
-    return 0;
-}
-BOOL APIENTRY
-DllMain(HINSTANCE hInst /* Library instance handle. */ ,
-    DWORD reason /* Reason this function is being called. */ ,
-    LPVOID reserved /* Not used. */ )
-{
-    switch (reason) {
-    case DLL_PROCESS_ATTACH:
-	break;
-    case DLL_PROCESS_DETACH:
-	break;
-    case DLL_THREAD_ATTACH:
-	break;
-    case DLL_THREAD_DETACH:
-	break;
-    }
-    return TRUE;
-}
-#endif
-#else  /* NON Windows Platform !!! */
+#else /* NON Windows Platform !!! */
 
 #error NON WINDOWS PLATFORM
 
Index: squid/auth_modules/NT/NT_auth.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/NT/Attic/NT_auth.dsp,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.2.2.1
diff -u -r1.1.2.2 -r1.1.2.2.2.1
--- squid/auth_modules/NT/NT_auth.dsp	30 Jun 2001 18:42:07 -0000	1.1.2.2
+++ squid/auth_modules/NT/NT_auth.dsp	27 Aug 2001 21:48:15 -0000	1.1.2.2.2.1
@@ -33,57 +33,49 @@
 
 # PROP BASE Use_MFC 0
 # PROP BASE Use_Debug_Libraries 0
-# PROP BASE Output_Dir "NT_auth___Win32_Release"
-# PROP BASE Intermediate_Dir "NT_auth___Win32_Release"
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
 # PROP BASE Target_Dir ""
 # PROP Use_MFC 0
 # PROP Use_Debug_Libraries 0
 # PROP Output_Dir "Release"
 # PROP Intermediate_Dir "Release"
-# PROP Ignore_Export_Lib 1
+# PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
-# ADD BASE CPP /nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "NT_AUTH_EXPORTS" /YX /FD /c
-# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /Ob2 /I "..\..\include" /I "..\..\src" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "NT_AUTH_EXPORTS" /YX /FD /c
-# SUBTRACT CPP /Fr
-# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /win32
-# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /win32
-# ADD BASE RSC /l 0x410 /d "NDEBUG"
-# ADD RSC /l 0x410 /d "NDEBUG"
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /MT /W3 /GX /O2 /I "../../include" /I "../" /I "../../src" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /YX /FD /c
+# ADD BASE RSC /l 0x419 /d "NDEBUG"
+# ADD RSC /l 0x419 /d "NDEBUG"
 BSC32=bscmake.exe
 # ADD BASE BSC32 /nologo
 # ADD BSC32 /nologo
 LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /machine:I386
-# ADD LINK32 kernel32.lib user32.lib advapi32.lib netapi32.lib /nologo /dll /machine:I386
-# SUBTRACT LINK32 /pdb:none
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 kernel32.lib netapi32.lib advapi32.lib /nologo /subsystem:console /machine:I386
 
 !ELSEIF  "$(CFG)" == "NT_auth - Win32 Debug"
 
 # PROP BASE Use_MFC 0
 # PROP BASE Use_Debug_Libraries 1
-# PROP BASE Output_Dir "NT_auth___Win32_Debug"
-# PROP BASE Intermediate_Dir "NT_auth___Win32_Debug"
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
 # PROP BASE Target_Dir ""
 # PROP Use_MFC 0
 # PROP Use_Debug_Libraries 1
 # PROP Output_Dir "Debug"
 # PROP Intermediate_Dir "Debug"
-# PROP Ignore_Export_Lib 1
+# PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
-# ADD BASE CPP /nologo /MTd /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "NT_AUTH_EXPORTS" /YX /FD /GZ /c
-# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "..\..\include" /I "..\..\src" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "NT_AUTH_EXPORTS" /YX /FD /GZ /c
-# SUBTRACT CPP /Fr
-# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /win32
-# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /win32
-# ADD BASE RSC /l 0x410 /d "_DEBUG"
-# ADD RSC /l 0x410 /d "_DEBUG"
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
+# ADD CPP /nologo /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /FR /YX /FD /GZ /c
+# ADD BASE RSC /l 0x419 /d "_DEBUG"
+# ADD RSC /l 0x419 /d "_DEBUG"
 BSC32=bscmake.exe
 # ADD BASE BSC32 /nologo
 # ADD BSC32 /nologo
 LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 kernel32.lib user32.lib advapi32.lib netapi32.lib /nologo /dll /debug /machine:I386 /pdbtype:sept
-# SUBTRACT LINK32 /profile /pdb:none
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 kernel32.lib netapi32.lib advapi32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
 
 !ENDIF 
 
